
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, action-msgs, ament-cmake, ament-lint-auto, ament-lint-common, rosidl-default-generators, rosidl-default-runtime, std-msgs }:
buildRosPackage {
  pname = "ros-humble-grbl-msgs";
  version = "0.0.2-r6";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/grbl_msgs-release/archive/release/humble/grbl_msgs/0.0.2-6.tar.gz";
    name = "0.0.2-6.tar.gz";
    sha256 = "7c1fc987a65ff3e66dd2e32d122afb2ea02a91be07ab189d1a3c0baf6d7e6b10";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake rosidl-default-generators ];
  checkInputs = [ ament-lint-auto ament-lint-common ];
  propagatedBuildInputs = [ action-msgs rosidl-default-runtime std-msgs ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "ROS2 Messages package for GRBL devices";
    license = with lib.licenses; [ mit ];
  };
}
