
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, irobot-create-gazebo-bringup, irobot-create-gazebo-plugins }:
buildRosPackage {
  pname = "ros-humble-irobot-create-gazebo-sim";
  version = "2.1.0-r1";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/create3_sim-release/archive/release/humble/irobot_create_gazebo_sim/2.1.0-1.tar.gz";
    name = "2.1.0-1.tar.gz";
    sha256 = "d2dfb23bf6521d22b39121d29917d9da62116c2e8b63c505572cc3f2745062d2";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  propagatedBuildInputs = [ irobot-create-gazebo-bringup irobot-create-gazebo-plugins ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "Metapackage for the iRobot(R) Create(R) 3 robot Gazebo simulator<a href=\"http://gazebosim.org/\">Gazebo</a> simulation stack.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
