
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, ament-lint-auto, ament-lint-common, geometry-msgs, libspnav, rclcpp, rclcpp-components, sensor-msgs, spacenavd }:
buildRosPackage {
  pname = "ros-humble-spacenav";
  version = "3.3.0-r1";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/joystick_drivers-release/archive/release/humble/spacenav/3.3.0-1.tar.gz";
    name = "3.3.0-1.tar.gz";
    sha256 = "590ed5dfad67186db5a5bc1a1cefe08caf85075a48127cc322ea5bb9d5b13c24";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  checkInputs = [ ament-lint-auto ament-lint-common ];
  propagatedBuildInputs = [ geometry-msgs libspnav rclcpp rclcpp-components sensor-msgs spacenavd ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "ROS interface to the 3Dconnexion SpaceNavigator 6DOF joystick.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
