
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, rclcpp, rclcpp-components, rclcpp-lifecycle, rcutils, std-msgs, stubborn-buddies-msgs }:
buildRosPackage {
  pname = "ros-humble-stubborn-buddies";
  version = "1.0.0-r5";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/stubborn_buddies-release/archive/release/humble/stubborn_buddies/1.0.0-5.tar.gz";
    name = "1.0.0-5.tar.gz";
    sha256 = "9010f40d6261523f8843e933b0dff724157927963052249fa7325fd24ffa2225";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  propagatedBuildInputs = [ rclcpp rclcpp-components rclcpp-lifecycle rcutils std-msgs stubborn-buddies-msgs ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "Demo that uses node composition of lifecycle nodes to achieve fail-over robustness on ROS nodes";
    license = with lib.licenses; [ asl20 ];
  };
}
