
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, velodyne-description, velodyne-gazebo-plugins }:
buildRosPackage {
  pname = "ros-humble-velodyne-simulator";
  version = "2.0.3-r1";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/velodyne_simulator-release/archive/release/humble/velodyne_simulator/2.0.3-1.tar.gz";
    name = "2.0.3-1.tar.gz";
    sha256 = "6e77d5c80e0a6df40350038fc4fb7be3700fb11fda4049f1b62a67e5af246f1c";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  propagatedBuildInputs = [ velodyne-description velodyne-gazebo-plugins ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "Metapackage allowing easy installation of Velodyne simulation components.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
