
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geographic-msgs, geometry-msgs, message-generation, message-runtime, sensor-msgs, std-msgs }:
buildRosPackage {
  pname = "ros-noetic-auv-msgs";
  version = "0.1.1-r1";

  src = fetchurl {
    url = "https://github.com/oceansystemslab/auv_msgs-release/archive/release/noetic/auv_msgs/0.1.1-1.tar.gz";
    name = "0.1.1-1.tar.gz";
    sha256 = "190104bb958cf67a5ff4ca7cc1ee355c44ed127eb5e074441b0004bc40da61e2";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation ];
  propagatedBuildInputs = [ geographic-msgs geometry-msgs message-runtime sensor-msgs std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This package provides message types commonly used with Autonomous Underwater Vehicles";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
