
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cl-transforms, cl-transforms-stamped, roslisp, tf }:
buildRosPackage {
  pname = "ros-noetic-cl-tf";
  version = "0.2.15-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/roslisp_common-release/archive/release/noetic/cl_tf/0.2.15-1.tar.gz";
    name = "0.2.15-1.tar.gz";
    sha256 = "b731227e31a10ec71ad7596ad0f1dc306bff3587275517999ddcc002463bc2ea";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ cl-transforms cl-transforms-stamped roslisp tf ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Client implementation to use TF from Common Lisp";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
