
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, actionlib-lisp, catkin, cl-transforms-stamped, cl-utils, roslisp, tf2-msgs }:
buildRosPackage {
  pname = "ros-noetic-cl-tf2";
  version = "0.2.15-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/roslisp_common-release/archive/release/noetic/cl_tf2/0.2.15-1.tar.gz";
    name = "0.2.15-1.tar.gz";
    sha256 = "59c0c7fe5edbfe6aa1dd007e1e541a0dd10d9258690f3644358bffc5e5ffc8ea";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ actionlib-lisp cl-transforms-stamped cl-utils roslisp tf2-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Client implementation to use TF2 from Common Lisp";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
