
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cl-utils, sbcl }:
buildRosPackage {
  pname = "ros-noetic-cl-transforms";
  version = "0.2.15-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/roslisp_common-release/archive/release/noetic/cl_transforms/0.2.15-1.tar.gz";
    name = "0.2.15-1.tar.gz";
    sha256 = "6383cd3a94357495422436743debf9e40b6edcef16c2e161312002aaba351a72";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ cl-utils sbcl ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Homogeneous transform library for Common Lisp.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
