
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, libdlib, libntcan, libpcan, libphidgets, opengm }:
buildRosPackage {
  pname = "ros-noetic-cob-extern";
  version = "0.6.19-r1";

  src = fetchurl {
    url = "https://github.com/ipa320/cob_extern-release/archive/release/noetic/cob_extern/0.6.19-1.tar.gz";
    name = "0.6.19-1.tar.gz";
    sha256 = "6fe75f00669f2dad0c35dc724bf98855b9b8dc7b46a11f12ef65367f5d1c5638";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ libdlib libntcan libpcan libphidgets opengm ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The cob_extern stack contains third party libraries needed for operating Care-O-bot. The packages are downloaded from the manufactorers website and not changed in any way.";
    license = with lib.licenses; [ "LGPL" "Proprietary" ];
  };
}
