
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, dataspeed-ulc-can, dataspeed-ulc-msgs }:
buildRosPackage {
  pname = "ros-noetic-dataspeed-ulc";
  version = "0.1.0-r1";

  src = fetchurl {
    url = "https://github.com/DataspeedInc-release/dataspeed_ulc_ros-release/archive/release/noetic/dataspeed_ulc/0.1.0-1.tar.gz";
    name = "0.1.0-1.tar.gz";
    sha256 = "993f6b533c39430a39700d33242ede541ed8d9f8c6b69bd8869446443696480d";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ dataspeed-ulc-can dataspeed-ulc-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "CAN interface to the Universal Lat/Lon Controller (ULC) firmware";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
