
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, amcl, catkin, gmapping, map-server, move-base, roslaunch }:
buildRosPackage {
  pname = "ros-noetic-dingo-navigation";
  version = "0.3.1-r2";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/dingo-release/archive/release/noetic/dingo_navigation/0.3.1-2.tar.gz";
    name = "0.3.1-2.tar.gz";
    sha256 = "1fcd094f1e57714833d8b683b61a4d9a5d1c4d766b8e1abf1a9e1d7ad3e24b95";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ roslaunch ];
  propagatedBuildInputs = [ amcl gmapping map-server move-base ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Launch files and code for autonomous navigation of the Dingo";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
