
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, dingo-gazebo }:
buildRosPackage {
  pname = "ros-noetic-dingo-simulator";
  version = "0.1.2-r2";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/dingo_simulator-release/archive/release/noetic/dingo_simulator/0.1.2-2.tar.gz";
    name = "0.1.2-2.tar.gz";
    sha256 = "2d52f995c66b75763ea403f372bf3ca721c2b78dd5fee90bbc6ec2b5d6061abb";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ dingo-gazebo ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Packages for simulating Dingo.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
