
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, gazebo-ros }:
buildRosPackage {
  pname = "ros-noetic-drone-assets";
  version = "1.4.2-r1";

  src = fetchurl {
    url = "https://github.com/JdeRobot/drones-release/archive/release/noetic/drone_assets/1.4.2-1.tar.gz";
    name = "1.4.2-1.tar.gz";
    sha256 = "b649dc4b8693580aecb298c383b786f15be7c225b7971356c7251536b63c1dd9";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ gazebo-ros ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The drone_assets package";
    license = with lib.licenses; [ mit ];
  };
}
