
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, message-generation, message-runtime, nav-2d-msgs, nav-msgs }:
buildRosPackage {
  pname = "ros-noetic-dwb-msgs";
  version = "0.3.0-r2";

  src = fetchurl {
    url = "https://github.com/DLu/robot_navigation-release/archive/release/noetic/dwb_msgs/0.3.0-2.tar.gz";
    name = "0.3.0-2.tar.gz";
    sha256 = "f0bc6b295dd86e6b4925cb9710b763f455252030d1ff36beb6f276ef467f0713";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation ];
  propagatedBuildInputs = [ geometry-msgs message-runtime nav-2d-msgs nav-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Message/Service definitions specifically for the dwb_local_planner";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
