
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, ecl-build, ecl-config, ecl-errors, ecl-exceptions, ecl-license }:
buildRosPackage {
  pname = "ros-noetic-ecl-filesystem";
  version = "0.62.3-r1";

  src = fetchurl {
    url = "https://github.com/yujinrobot-release/ecl_core-release/archive/release/noetic/ecl_filesystem/0.62.3-1.tar.gz";
    name = "0.62.3-1.tar.gz";
    sha256 = "00aa5f749c876148911be2f179efc2f46bb0c8cd5c3f8c9e6417a927dc086861";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ ecl-build ecl-config ecl-errors ecl-exceptions ecl-license ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Cross platform filesystem utilities (until c++11 makes its way in).";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
