
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, message-generation, message-runtime, std-msgs, std-srvs }:
buildRosPackage {
  pname = "ros-noetic-er-public-msgs";
  version = "1.4.0-r1";

  src = fetchurl {
    url = "https://github.com/enabled-robotics/er_public_msgs-release/archive/release/noetic/er_public_msgs/1.4.0-1.tar.gz";
    name = "1.4.0-1.tar.gz";
    sha256 = "8b3a5ea6bd66d117c64698d536344509f4c399541dc22f7b55d967a407ad2c4a";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation ];
  propagatedBuildInputs = [ geometry-msgs message-runtime std-msgs std-srvs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Enabled Robotics public messages package";
    license = with lib.licenses; [ mit ];
  };
}
