
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, smach-viewer }:
buildRosPackage {
  pname = "ros-noetic-executive-smach-visualization";
  version = "4.1.0-r1";

  src = fetchurl {
    url = "https://github.com/jbohren/executive_smach_visualization-release/archive/release/noetic/executive_smach_visualization/4.1.0-1.tar.gz";
    name = "4.1.0-1.tar.gz";
    sha256 = "8eaf4224dc83deabf96ba72763e85e6720e62ddd45fe3f67e8eac71091db12f7";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ smach-viewer ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This metapackage depends on the SMACH visualization tools.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
