
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, message-generation, message-runtime, pr2-msgs, rospy, rostest, std-msgs, visualization-msgs }:
buildRosPackage {
  pname = "ros-noetic-fingertip-pressure";
  version = "1.9.0-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/pr2_ethercat_drivers-release/archive/release/noetic/fingertip_pressure/1.9.0-1.tar.gz";
    name = "1.9.0-1.tar.gz";
    sha256 = "b381fcb28a88b68e16de43e618c341be01483c918815793cbf81e98b392fbe73";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation rostest ];
  propagatedBuildInputs = [ geometry-msgs message-runtime pr2-msgs rospy std-msgs visualization-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This package provides access to the PR2 fingertip pressure sensors. This information includes:";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
