
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, franka-control, franka-description, franka-example-controllers, franka-gazebo, franka-gripper, franka-hw, franka-msgs, franka-visualization }:
buildRosPackage {
  pname = "ros-noetic-franka-ros";
  version = "0.10.1-r1";

  src = fetchurl {
    url = "https://github.com/frankaemika/franka_ros-release/archive/release/noetic/franka_ros/0.10.1-1.tar.gz";
    name = "0.10.1-1.tar.gz";
    sha256 = "780fd87f5943f2c93b668cfd4d98ec33ea22cc64b812a0afbea758c859a22c3f";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ franka-control franka-description franka-example-controllers franka-gazebo franka-gripper franka-hw franka-msgs franka-visualization ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "franka_ros is a metapackage for all Franka Emika ROS packages";
    license = with lib.licenses; [ asl20 ];
  };
}
