
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, angles, catkin, roscpp }:
buildRosPackage {
  pname = "ros-noetic-graceful-controller";
  version = "0.4.8-r1";

  src = fetchurl {
    url = "https://github.com/mikeferguson/graceful_controller-gbp/archive/release/noetic/graceful_controller/0.4.8-1.tar.gz";
    name = "0.4.8-1.tar.gz";
    sha256 = "44e87d3e4ac4f4835cbc5170055c896e30545bcc145c45a97a75a9b26331ec27";
  };

  buildType = "catkin";
  buildInputs = [ angles catkin ];
  propagatedBuildInputs = [ roscpp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A controller.";
    license = with lib.licenses; [ lgpl3Only ];
  };
}
