
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cv-bridge, eigen, geometry-msgs, hector-map-tools, image-transport, nav-msgs, sensor-msgs }:
buildRosPackage {
  pname = "ros-noetic-hector-compressed-map-transport";
  version = "0.5.2-r4";

  src = fetchurl {
    url = "https://github.com/tu-darmstadt-ros-pkg-gbp/hector_slam-release/archive/release/noetic/hector_compressed_map_transport/0.5.2-4.tar.gz";
    name = "0.5.2-4.tar.gz";
    sha256 = "13434ed757d7aa27414ba2495d0a296b6c4100cd21c4f513be3d6ca93cbbad9f";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ cv-bridge eigen geometry-msgs hector-map-tools image-transport nav-msgs sensor-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "hector_compressed_map_transport provides means for transporting compressed map data through the use of image_transport.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
