
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, gazebo-ros, hector-gazebo-plugins }:
buildRosPackage {
  pname = "ros-noetic-hector-gazebo-worlds";
  version = "0.5.4-r1";

  src = fetchurl {
    url = "https://github.com/tu-darmstadt-ros-pkg-gbp/hector_gazebo-release/archive/release/noetic/hector_gazebo_worlds/0.5.4-1.tar.gz";
    name = "0.5.4-1.tar.gz";
    sha256 = "9f031c0dc2cdc17c197b11771da7a0d8afa8b9063ec206af2ff3825b339573e9";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ gazebo-ros hector-gazebo-plugins ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "hector_gazebo_worlds provides gazebo scenarios used by Team Hector Darmstadt";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
