
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, nav-msgs, roscpp, sensor-msgs, tf }:
buildRosPackage {
  pname = "ros-noetic-hector-imu-tools";
  version = "0.5.2-r4";

  src = fetchurl {
    url = "https://github.com/tu-darmstadt-ros-pkg-gbp/hector_slam-release/archive/release/noetic/hector_imu_tools/0.5.2-4.tar.gz";
    name = "0.5.2-4.tar.gz";
    sha256 = "a4e67b8a5f662733075aa076acc1fc18f5eed4b34e7c87f611524207efb65326";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ geometry-msgs nav-msgs roscpp sensor-msgs tf ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "hector_imu_tools provides some tools for processing IMU messages";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
