
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, ixblue-ins-driver, ixblue-ins-msgs }:
buildRosPackage {
  pname = "ros-noetic-ixblue-ins";
  version = "0.1.5-r1";

  src = fetchurl {
    url = "https://github.com/ixblue/ixblue_ins_stdbin_driver-release/archive/release/noetic/ixblue_ins/0.1.5-1.tar.gz";
    name = "0.1.5-1.tar.gz";
    sha256 = "c51da63e62ceef41233cce304af30cb19d8499fec4af310f3a0c64b29f398263";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ ixblue-ins-driver ixblue-ins-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Metapackage for iXblue INS driver";
    license = with lib.licenses; [ mit ];
  };
}
