
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, rospy }:
buildRosPackage {
  pname = "ros-noetic-key-teleop";
  version = "0.5.0-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/teleop_tools-release/archive/release/noetic/key_teleop/0.5.0-1.tar.gz";
    name = "0.5.0-1.tar.gz";
    sha256 = "952d2a17c9b15b04b491802baeda888901055edf696e4d3098c76316f5fbb051";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ geometry-msgs rospy ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A text-based interface to send a robot movement commands";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
