
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, liblapack, moveit-core, pluginlib, roscpp, tf-conversions }:
buildRosPackage {
  pname = "ros-noetic-khi-duaro-ikfast-plugin";
  version = "1.4.0-r2";

  src = fetchurl {
    url = "https://github.com/Kawasaki-Robotics/khi_robot-release/archive/release/noetic/khi_duaro_ikfast_plugin/1.4.0-2.tar.gz";
    name = "1.4.0-2.tar.gz";
    sha256 = "075019956eef7be622fbb43f104ce41760bde721e49f6ca5c09d086fdac94d54";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ liblapack moveit-core pluginlib roscpp tf-conversions ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The khi_duaro_ikfast_plugin package";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
