
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, liblapack, moveit-core, pluginlib, roscpp, tf-conversions }:
buildRosPackage {
  pname = "ros-noetic-khi-rs-ikfast-plugin";
  version = "1.4.0-r2";

  src = fetchurl {
    url = "https://github.com/Kawasaki-Robotics/khi_robot-release/archive/release/noetic/khi_rs_ikfast_plugin/1.4.0-2.tar.gz";
    name = "1.4.0-2.tar.gz";
    sha256 = "002235f8a857c0a6101b20f4e8fec52907cfc66546b3e9c973f6679be51ad746";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ liblapack moveit-core pluginlib roscpp tf-conversions ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The khi_rs_ikfast_plugin package";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
