
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, ecl-build, ecl-geometry, ecl-linear-algebra, ecl-threads }:
buildRosPackage {
  pname = "ros-noetic-kobuki-dock-drive";
  version = "0.7.12-r1";

  src = fetchurl {
    url = "https://github.com/yujinrobot-release/kobuki_core-release/archive/release/noetic/kobuki_dock_drive/0.7.12-1.tar.gz";
    name = "0.7.12-1.tar.gz";
    sha256 = "09bfee1de3dd1c0c372a4148546db5ec2b1750513c6f6fef419ee0e39288983f";
  };

  buildType = "catkin";
  buildInputs = [ catkin ecl-build ];
  propagatedBuildInputs = [ ecl-geometry ecl-linear-algebra ecl-threads ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Dock driving library for Kobuki. Users owning a docking station for Kobuki 
	    can use this tool to develop autonomous docking drive algorithms.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
