
# Copyright 2023 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cmake-modules, filters, git, laser-filters, laser-geometry, mk }:
buildRosPackage {
  pname = "ros-noetic-laser-filters-jsk-patch";
  version = "2.1.21-r2";

  src = fetchurl {
    url = "https://github.com/tork-a/jsk_3rdparty-release/archive/release/noetic/laser_filters_jsk_patch/2.1.21-2.tar.gz";
    name = "2.1.21-2.tar.gz";
    sha256 = "ca31c4a5e7524d96d3caa2cf9e92945a59a6cd448a8f9771ea74fedde4569ec1";
  };

  buildType = "catkin";
  buildInputs = [ catkin cmake-modules git laser-geometry mk ];
  propagatedBuildInputs = [ filters laser-filters ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''laser_filters_jsk_patch'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
