
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, multisense-description, multisense-ros }:
buildRosPackage {
  pname = "ros-noetic-multisense-bringup";
  version = "4.0.5-r1";

  src = fetchurl {
    url = "https://github.com/carnegieroboticsllc/multisense_ros-release/archive/release/noetic/multisense_bringup/4.0.5-1.tar.gz";
    name = "4.0.5-1.tar.gz";
    sha256 = "daff65572fd5139c354d55727220300149041e6145604396bb8ebd67044c1af7";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ multisense-description multisense-ros ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "multisense_bringup";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
