
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, nav-2d-msgs, nav-grid, roslint, rosunit, tf2-ros }:
buildRosPackage {
  pname = "ros-noetic-nav-core2";
  version = "0.3.0-r2";

  src = fetchurl {
    url = "https://github.com/DLu/robot_navigation-release/archive/release/noetic/nav_core2/0.3.0-2.tar.gz";
    name = "0.3.0-2.tar.gz";
    sha256 = "a102ef0294f5159bc5d4a4751951d302e0935ee0d0cf9ca8fedda3196bcfdae4";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ roslint rosunit ];
  propagatedBuildInputs = [ nav-2d-msgs nav-grid tf2-ros ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Interfaces for Costmap, LocalPlanner and GlobalPlanner. Replaces nav_core.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
