
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, nav2d-exploration, nav2d-karto, nav2d-localizer, nav2d-msgs, nav2d-navigator, nav2d-operator, nav2d-remote }:
buildRosPackage {
  pname = "ros-noetic-nav2d-tutorials";
  version = "0.4.3-r1";

  src = fetchurl {
    url = "https://github.com/skasperski/navigation_2d-release/archive/release/noetic/nav2d_tutorials/0.4.3-1.tar.gz";
    name = "0.4.3-1.tar.gz";
    sha256 = "56ecf7b85421c00cbe828e17b78bfacd0dc841cbe4847d659782a8b42716ea0d";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ nav2d-exploration nav2d-karto nav2d-localizer nav2d-msgs nav2d-navigator nav2d-operator nav2d-remote ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Contains a set of tutorials that run 2D-Navigation within Stage-Simulator.";
    license = with lib.licenses; [ gpl3Only ];
  };
}
