
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, actionlib-msgs, catkin, geometry-msgs, message-generation, message-runtime, sensor-msgs }:
buildRosPackage {
  pname = "ros-noetic-pr2-common-action-msgs";
  version = "0.0.12-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/pr2_common_actions-release/archive/release/noetic/pr2_common_action_msgs/0.0.12-1.tar.gz";
    name = "0.0.12-1.tar.gz";
    sha256 = "6d678dd60f1cb1ade07d869b5e22d82e532a1441cac83913faec03fb6c19ee51";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation ];
  propagatedBuildInputs = [ actionlib-msgs geometry-msgs message-runtime sensor-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The pr2_common_action_msgs package";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
