
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, assimp, bullet, catkin, filters, pcl-ros, resource-retriever, roscpp, sensor-msgs, tf, urdf, visualization-msgs }:
buildRosPackage {
  pname = "ros-noetic-pr2-navigation-self-filter";
  version = "0.2.0-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/pr2_navigation-release/archive/release/noetic/pr2_navigation_self_filter/0.2.0-1.tar.gz";
    name = "0.2.0-1.tar.gz";
    sha256 = "3b8177bfe8da07b2600f7bc0c01f73c33686a4411f1a669e52bf425376b350f1";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ assimp bullet filters pcl-ros resource-retriever roscpp sensor-msgs tf urdf visualization-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Filters the robot's body out of point clouds.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
