
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, actionlib, catkin, gazebo-ros, gazebo-ros-control, prbt-moveit-config, prbt-support, roscpp, roslaunch, rostest, trajectory-msgs, xacro }:
buildRosPackage {
  pname = "ros-noetic-prbt-gazebo";
  version = "0.6.0-r1";

  src = fetchurl {
    url = "https://github.com/PilzDE/pilz_robots-release/archive/release/noetic/prbt_gazebo/0.6.0-1.tar.gz";
    name = "0.6.0-1.tar.gz";
    sha256 = "280c0ed66eb1a3da2af1948f312fce548ed54c929502b32b1f340de8f351a2b1";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ actionlib roscpp rostest trajectory-msgs ];
  propagatedBuildInputs = [ gazebo-ros gazebo-ros-control prbt-moveit-config prbt-support roslaunch xacro ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Launch prbt robot in an empty Gazebo world.";
    license = with lib.licenses; [ asl20 ];
  };
}
