
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, roscpp }:
buildRosPackage {
  pname = "ros-noetic-qb-device-utils";
  version = "3.1.0-r1";

  src = fetchurl {
    url = "https://bitbucket.org/qbrobotics/qbdevice-ros-release/get/release/noetic/qb_device_utils/3.1.0-1.tar.gz";
    name = "3.1.0-1.tar.gz";
    sha256 = "80a2d8429de378c9afb08e890be87f1a5be4b950a8f4a7411dc9a047f0d05052";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ roscpp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This package contains a device-independent utility functions for qbrobotics® devices.";
    license = with lib.licenses; [ bsd3 ];
  };
}
