
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin }:
buildRosPackage {
  pname = "ros-noetic-qb-hand-control";
  version = "3.0.3-r1";

  src = fetchurl {
    url = "https://bitbucket.org/qbrobotics/qbhand-ros-release/get/release/noetic/qb_hand_control/3.0.3-1.tar.gz";
    name = "3.0.3-1.tar.gz";
    sha256 = "358b66e1b565cd3b2c956184973595dc8a2791f21a09eafc27005be363df3217";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This package contains the ROS control node for qbrobotics® qbhand device.";
    license = with lib.licenses; [ bsd3 ];
  };
}
