
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, rosunit, xacro }:
buildRosPackage {
  pname = "ros-noetic-realsense2-description";
  version = "2.3.2-r1";

  src = fetchurl {
    url = "https://github.com/IntelRealSense/realsense-ros-release/archive/release/noetic/realsense2_description/2.3.2-1.tar.gz";
    name = "2.3.2-1.tar.gz";
    sha256 = "07386187411d8fbaa4fd63fdd7e00116f73bfa7c40105b7a5bb0199d4e9b3585";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ rosunit ];
  propagatedBuildInputs = [ xacro ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "RealSense Camera description package for Intel 3D D400 cameras";
    license = with lib.licenses; [ asl20 ];
  };
}
