
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, ridgeback-gazebo }:
buildRosPackage {
  pname = "ros-noetic-ridgeback-simulator";
  version = "0.2.0-r1";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/ridgeback_simulator-release/archive/release/noetic/ridgeback_simulator/0.2.0-1.tar.gz";
    name = "0.2.0-1.tar.gz";
    sha256 = "3648e6f3dd54de136f714ca4cb018ecfddd68ed0e99c70d4bba38d8c8f47d4db";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ ridgeback-gazebo ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Packages for simulating Ridgeback.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
