
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, gazebo, gazebo-ros, gazebo-ros-control, rm-common, rm-description, roboticsgroup-upatras-gazebo-plugins, roscpp }:
buildRosPackage {
  pname = "ros-noetic-rm-gazebo";
  version = "0.1.18-r1";

  src = fetchurl {
    url = "https://github.com/rm-controls/rm_control-release/archive/release/noetic/rm_gazebo/0.1.18-1.tar.gz";
    name = "0.1.18-1.tar.gz";
    sha256 = "bdab187c7ceab45da03e9a7622046951823dbdbe9c79c2ea1cb909bf45fe83af";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ gazebo gazebo-ros gazebo-ros-control rm-common rm-description roboticsgroup-upatras-gazebo-plugins roscpp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A template for ROS packages.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
