
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, costmap-queue, dlux-global-planner, dlux-plugins, dwb-critics, dwb-local-planner, dwb-msgs, dwb-plugins, global-planner-tests, locomotor, locomotor-msgs, locomove-base, nav-2d-msgs, nav-2d-utils, nav-core-adapter, nav-core2, nav-grid, nav-grid-iterators, nav-grid-pub-sub, nav-grid-server }:
buildRosPackage {
  pname = "ros-noetic-robot-navigation";
  version = "0.3.0-r2";

  src = fetchurl {
    url = "https://github.com/DLu/robot_navigation-release/archive/release/noetic/robot_navigation/0.3.0-2.tar.gz";
    name = "0.3.0-2.tar.gz";
    sha256 = "9ac1a0a6351d0fea2c59e819ea8b44834524b6f65db769f8d42381007b1dae8b";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ costmap-queue dlux-global-planner dlux-plugins dwb-critics dwb-local-planner dwb-msgs dwb-plugins global-planner-tests locomotor locomotor-msgs locomove-base nav-2d-msgs nav-2d-utils nav-core-adapter nav-core2 nav-grid nav-grid-iterators nav-grid-pub-sub nav-grid-server ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The robot_navigation package";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
