
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, bota-node, catkin, rokubimini }:
buildRosPackage {
  pname = "ros-noetic-rokubimini-bus-manager";
  version = "0.6.1-r2";

  src = fetchurl {
    url = "https://gitlab.com/botasys/bota_driver-release/-/archive/release/noetic/rokubimini_bus_manager/0.6.1-2/archive.tar.gz";
    name = "archive.tar.gz";
    sha256 = "8022fd076c64045191310d5a37f1f25e8925aa210c635d6e20b36a77d1dcf34f";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ bota-node rokubimini ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "C++ library deriving the abstract communication interface classes in the rokubimini library for EtherCAT.";
    license = with lib.licenses; [ asl20 ];
  };
}
