
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, rosbridge-server, roslaunch, rostest, roswww, rwt-utils-3rdparty, speech-recognition-msgs }:
buildRosPackage {
  pname = "ros-noetic-rwt-speech-recognition";
  version = "0.1.3-r1";

  src = fetchurl {
    url = "https://github.com/tork-a/visualization_rwt-release/archive/release/noetic/rwt_speech_recognition/0.1.3-1.tar.gz";
    name = "0.1.3-1.tar.gz";
    sha256 = "44876a951fb573ff6bb9af718cb7229d29fee0461816ef43058cee300e7d94a2";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ roslaunch rostest ];
  propagatedBuildInputs = [ rosbridge-server roswww rwt-utils-3rdparty speech-recognition-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The rwt_speech_recognition package";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
