
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, roscpp, sensor-msgs, turtlebot3-bringup }:
buildRosPackage {
  pname = "ros-noetic-turtlebot3-slam";
  version = "1.2.5-r1";

  src = fetchurl {
    url = "https://github.com/ROBOTIS-GIT-release/turtlebot3-release/archive/release/noetic/turtlebot3_slam/1.2.5-1.tar.gz";
    name = "1.2.5-1.tar.gz";
    sha256 = "4620134599a31d904486d5f1fb9bb6b188bf27bd1d6332c224f65131c8a6e4e6";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ roscpp sensor-msgs turtlebot3-bringup ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The turtlebot3_slam package provides roslaunch scripts for starting the SLAM";
    license = with lib.licenses; [ asl20 ];
  };
}
