
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, rospy }:
buildRosPackage {
  pname = "ros-noetic-turtlebot3-teleop";
  version = "1.2.5-r1";

  src = fetchurl {
    url = "https://github.com/ROBOTIS-GIT-release/turtlebot3-release/archive/release/noetic/turtlebot3_teleop/1.2.5-1.tar.gz";
    name = "1.2.5-1.tar.gz";
    sha256 = "46949ab39e9f1bab51923b857d7178260bfa49870d41ee64bd2aed75935f3bf5";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ geometry-msgs rospy ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Provides teleoperation using keyboard for TurtleBot3.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
