
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, urdf, xacro }:
buildRosPackage {
  pname = "ros-noetic-velodyne-description";
  version = "1.0.13-r1";

  src = fetchurl {
    url = "https://github.com/DataspeedInc-release/velodyne_simulator-release/archive/release/noetic/velodyne_description/1.0.13-1.tar.gz";
    name = "1.0.13-1.tar.gz";
    sha256 = "8339606e5fe26361eaff3b11de9a3573053ec589a80b56235d448c9d5f28eee2";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ urdf xacro ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "URDF and meshes describing Velodyne laser scanners.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
