
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, roscpp, rospy, std-msgs }:
buildRosPackage {
  pname = "ros-noetic-volta-description";
  version = "1.2.0-r1";

  src = fetchurl {
    url = "https://github.com/botsync-gbp/volta-release/archive/release/noetic/volta_description/1.2.0-1.tar.gz";
    name = "1.2.0-1.tar.gz";
    sha256 = "43d343a5bdb749a9652a37a2c33b05948199ecddff189420a2bff5478a9b685c";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ roscpp rospy std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The volta_description package";
    license = with lib.licenses; [ bsd3 ];
  };
}
