
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, python3Packages }:
buildRosPackage {
  pname = "ros-noetic-volta-rules";
  version = "1.2.0-r1";

  src = fetchurl {
    url = "https://github.com/botsync-gbp/volta-release/archive/release/noetic/volta_rules/1.2.0-1.tar.gz";
    name = "1.2.0-1.tar.gz";
    sha256 = "f43412c9f11c1bfe36166b924c6a82751da164299b69bf254a5b7dcd9da5160c";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ python3Packages.pyusb ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The volta_rules package";
    license = with lib.licenses; [ bsd3 ];
  };
}
