
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake-gtest, ament-cmake-ros, ament-lint-auto, ament-lint-common, ecl-build, ecl-converters, ecl-eigen, ecl-exceptions, ecl-formatters, ecl-license, ecl-math, sophus }:
buildRosPackage {
  pname = "ros-rolling-ecl-linear-algebra";
  version = "1.2.1-r4";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/ecl_core-release/archive/release/rolling/ecl_linear_algebra/1.2.1-4.tar.gz";
    name = "1.2.1-4.tar.gz";
    sha256 = "2dbd8ba17dbb31959226aee65bcb467061b766069b1d8746fd5294d0383634d9";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake-ros ];
  checkInputs = [ ament-cmake-gtest ament-lint-auto ament-lint-common ];
  propagatedBuildInputs = [ ecl-build ecl-converters ecl-eigen ecl-exceptions ecl-formatters ecl-license ecl-math sophus ];
  nativeBuildInputs = [ ament-cmake-ros ];

  meta = {
    description = "Ecl frontend to a linear matrix package (currently eigen).";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
